# -*- coding: utf-8 -*-
#
# Copyright (C) 2020 CERN.
#
# Invenio-RDM-Records is free software; you can redistribute it and/or modify
# it under the terms of the MIT License; see LICENSE file for more details.

"""Invenio RDM module to create REST APIs."""

from .config import PIDResolverResourceConfig, RDMDraftFilesResourceConfig, \
    RDMManagedPIDProviderResourceConfig, RDMParentRecordLinksResourceConfig, \
    RDMRecordFilesResourceConfig, RDMRecordResourceConfig
from .resources import PIDResolverResource, RDMManagedPIDProviderResource, \
    RDMParentRecordLinksResource, RDMRecordResource

__all__ = (
    "PIDResolverResource",
    "PIDResolverResourceConfig",
    "RDMDraftFilesResourceConfig",
    "RDMManagedPIDProviderResource",
    "RDMManagedPIDProviderResourceConfig",
    "RDMParentRecordLinksResource",
    "RDMParentRecordLinksResourceConfig",
    "RDMRecordFilesResourceConfig",
    "RDMRecordResource",
    "RDMRecordResourceConfig",
)
